Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.actions.mockservice
Class CloneMockServiceAction

    java.lang.Object
      com.eviware.soapui.support.action.support.AbstractSoapUIAction<WsdlMockService>
          com.eviware.soapui.impl.wsdl.actions.mockservice.CloneMockServiceAction

All Implemented Interfaces:
  SoapUIAction<WsdlMockService>, PropertyChangeNotifier

    public class CloneMockServiceAction

extends AbstractSoapUIAction<WsdlMockService>

Clones a WsdlMockService

Author:
  Ole.Matzura

Nested Class Summary
`static interface` | `CloneMockServiceAction.Form`

Field Summary
`static java.lang.String` | `SOAPUI_ACTION_ID`

Fields inherited from interface com.eviware.soapui.support.action.SoapUIAction
`ENABLED_PROPERTY`

Constructor Summary
`CloneMockServiceAction()`

Method Summary
`WsdlMockService` | `cloneMockServiceWithinProject(WsdlMockService mockService, java.lang.String name, WsdlProject project)`
`WsdlMockService` | `cloneToAnotherProject(WsdlMockService mockService, java.lang.String targetProjectName, java.lang.String name)`
`void` | `perform(WsdlMockService mockService, java.lang.Object param)`

Methods inherited from class com.eviware.soapui.support.action.support.AbstractSoapUIAction
`addPropertyChangeListener, addPropertyChangeListener, applies, getDescription, getName, isDefault, isEnabled, removePropertyChangeListener, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SOAPUI_ACTION_ID

    public static final java.lang.String SOAPUI_ACTION_ID

See Also:
  Constant Field Values

Constructor Detail

### CloneMockServiceAction

    public CloneMockServiceAction()

Method Detail

### perform

    public void perform(WsdlMockService mockService,
                        java.lang.Object param)

### cloneToAnotherProject

    public WsdlMockService cloneToAnotherProject(WsdlMockService mockService,
                                                 java.lang.String targetProjectName,
                                                 java.lang.String name)

### cloneMockServiceWithinProject

    public WsdlMockService cloneMockServiceWithinProject(WsdlMockService mockService,
                                                         java.lang.String name,
                                                         WsdlProject project)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.